Skip to main content
REST API reference
A newer release of this product is available.

Updates the cluster wide snmp configuration, such as enabling or disabling snmp and enabling or disabling authentication traps

  • system snmp authtrap # learn more

  • [doc /support/snmp](#docs-support-support_snmp)

PATCH /support/snmp

Introduced In: 9.7

Updates the cluster wide SNMP configuration, such as enabling or disabling SNMP and enabling or disabling authentication traps.

  • options snmp.enable

  • system snmp authtrap

Learn more

Parameters

Name Type In Required Description

return_records

boolean

query

False

The default is false. If set to true, the records are returned.

  • Default value:

Request Body

Name Type Description

auth_traps_enabled

boolean

Specifies whether to enable or disable SNMP authentication traps.

enabled

boolean

Specifies whether to enable or disable SNMP.

Example request
{
  "auth_traps_enabled": 1,
  "enabled": 1
}

Response

Status: 200, Ok

Error

Status: Default

ONTAP Error Response Codes

Error Code Description

1179738

Cluster identification not available for modification since a cluster has not been created.

1179739

Cluster identification modification is not available in maintenance mode or other boot modes.

Definitions

See Definitions

href

Name Type Description

href

string

snmp

Cluster-wide SNMP configuration.

Name Type Description

auth_traps_enabled

boolean

Specifies whether to enable or disable SNMP authentication traps.

enabled

boolean

Specifies whether to enable or disable SNMP.

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response